n = int(input("정점의 개수를 입력하라.: "))  # 정점의 수 

isEulerGraph = True    

# 각 정점의 차수를 입력받기
for i in range(1,n + 1):
    print("정점",i,"의 차수를 입력하라.: ",end = "")
    degree = int(input())  # 차수의 수

    # 차수가 홀수이면 해당 그래프는 오일러 그래프가 아니다
    if degree % 2 == 1:     
        isEulerGraph = False    

if isEulerGraph:        
    print("\n오일러 그래프이다!")
else:
    print("\n오일러 그래프가 아니다!")
